// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: pkg/protos/fp.proto

package fp

import (
	realserver "gitlab.wikimedia.org/repos/sre/liberica/pkg/protos/realserver"
	service "gitlab.wikimedia.org/repos/sre/liberica/pkg/protos/service"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type CreateServiceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Svc *service.Service `protobuf:"bytes,1,opt,name=svc,proto3" json:"svc,omitempty"` // required
}

func (x *CreateServiceRequest) Reset() {
	*x = CreateServiceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateServiceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateServiceRequest) ProtoMessage() {}

func (x *CreateServiceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateServiceRequest.ProtoReflect.Descriptor instead.
func (*CreateServiceRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{0}
}

func (x *CreateServiceRequest) GetSvc() *service.Service {
	if x != nil {
		return x.Svc
	}
	return nil
}

type CreateServiceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *CreateServiceResponse) Reset() {
	*x = CreateServiceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateServiceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateServiceResponse) ProtoMessage() {}

func (x *CreateServiceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateServiceResponse.ProtoReflect.Descriptor instead.
func (*CreateServiceResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{1}
}

type DeleteServiceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Svc *service.Service `protobuf:"bytes,1,opt,name=svc,proto3" json:"svc,omitempty"` // required
}

func (x *DeleteServiceRequest) Reset() {
	*x = DeleteServiceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteServiceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteServiceRequest) ProtoMessage() {}

func (x *DeleteServiceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteServiceRequest.ProtoReflect.Descriptor instead.
func (*DeleteServiceRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{2}
}

func (x *DeleteServiceRequest) GetSvc() *service.Service {
	if x != nil {
		return x.Svc
	}
	return nil
}

type DeleteServiceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeleteServiceResponse) Reset() {
	*x = DeleteServiceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteServiceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteServiceResponse) ProtoMessage() {}

func (x *DeleteServiceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteServiceResponse.ProtoReflect.Descriptor instead.
func (*DeleteServiceResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{3}
}

type ListServicesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListServicesRequest) Reset() {
	*x = ListServicesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListServicesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListServicesRequest) ProtoMessage() {}

func (x *ListServicesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListServicesRequest.ProtoReflect.Descriptor instead.
func (*ListServicesRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{4}
}

type ListServicesResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Svc []*service.Service `protobuf:"bytes,1,rep,name=svc,proto3" json:"svc,omitempty"`
}

func (x *ListServicesResponse) Reset() {
	*x = ListServicesResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListServicesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListServicesResponse) ProtoMessage() {}

func (x *ListServicesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListServicesResponse.ProtoReflect.Descriptor instead.
func (*ListServicesResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{5}
}

func (x *ListServicesResponse) GetSvc() []*service.Service {
	if x != nil {
		return x.Svc
	}
	return nil
}

type ListRealserversRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Svc *service.Service `protobuf:"bytes,1,opt,name=svc,proto3" json:"svc,omitempty"` // required
}

func (x *ListRealserversRequest) Reset() {
	*x = ListRealserversRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListRealserversRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListRealserversRequest) ProtoMessage() {}

func (x *ListRealserversRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListRealserversRequest.ProtoReflect.Descriptor instead.
func (*ListRealserversRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{6}
}

func (x *ListRealserversRequest) GetSvc() *service.Service {
	if x != nil {
		return x.Svc
	}
	return nil
}

type ListRealserversResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Rs []*realserver.Realserver `protobuf:"bytes,1,rep,name=rs,proto3" json:"rs,omitempty"`
}

func (x *ListRealserversResponse) Reset() {
	*x = ListRealserversResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListRealserversResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListRealserversResponse) ProtoMessage() {}

func (x *ListRealserversResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListRealserversResponse.ProtoReflect.Descriptor instead.
func (*ListRealserversResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{7}
}

func (x *ListRealserversResponse) GetRs() []*realserver.Realserver {
	if x != nil {
		return x.Rs
	}
	return nil
}

type CreateRealserverRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Svc *service.Service       `protobuf:"bytes,1,opt,name=svc,proto3" json:"svc,omitempty"` // required
	Rs  *realserver.Realserver `protobuf:"bytes,2,opt,name=rs,proto3" json:"rs,omitempty"`   // required
}

func (x *CreateRealserverRequest) Reset() {
	*x = CreateRealserverRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateRealserverRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateRealserverRequest) ProtoMessage() {}

func (x *CreateRealserverRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateRealserverRequest.ProtoReflect.Descriptor instead.
func (*CreateRealserverRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{8}
}

func (x *CreateRealserverRequest) GetSvc() *service.Service {
	if x != nil {
		return x.Svc
	}
	return nil
}

func (x *CreateRealserverRequest) GetRs() *realserver.Realserver {
	if x != nil {
		return x.Rs
	}
	return nil
}

type CreateRealserverResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *CreateRealserverResponse) Reset() {
	*x = CreateRealserverResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateRealserverResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateRealserverResponse) ProtoMessage() {}

func (x *CreateRealserverResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateRealserverResponse.ProtoReflect.Descriptor instead.
func (*CreateRealserverResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{9}
}

type UpdateRealserverRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Svc *service.Service       `protobuf:"bytes,1,opt,name=svc,proto3" json:"svc,omitempty"` // required
	Rs  *realserver.Realserver `protobuf:"bytes,2,opt,name=rs,proto3" json:"rs,omitempty"`   // required
}

func (x *UpdateRealserverRequest) Reset() {
	*x = UpdateRealserverRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateRealserverRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateRealserverRequest) ProtoMessage() {}

func (x *UpdateRealserverRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateRealserverRequest.ProtoReflect.Descriptor instead.
func (*UpdateRealserverRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{10}
}

func (x *UpdateRealserverRequest) GetSvc() *service.Service {
	if x != nil {
		return x.Svc
	}
	return nil
}

func (x *UpdateRealserverRequest) GetRs() *realserver.Realserver {
	if x != nil {
		return x.Rs
	}
	return nil
}

type UpdateRealserverResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *UpdateRealserverResponse) Reset() {
	*x = UpdateRealserverResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateRealserverResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateRealserverResponse) ProtoMessage() {}

func (x *UpdateRealserverResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateRealserverResponse.ProtoReflect.Descriptor instead.
func (*UpdateRealserverResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{11}
}

type DeleteRealserverRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Svc *service.Service       `protobuf:"bytes,1,opt,name=svc,proto3" json:"svc,omitempty"` // required
	Rs  *realserver.Realserver `protobuf:"bytes,2,opt,name=rs,proto3" json:"rs,omitempty"`   // required
}

func (x *DeleteRealserverRequest) Reset() {
	*x = DeleteRealserverRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteRealserverRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteRealserverRequest) ProtoMessage() {}

func (x *DeleteRealserverRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteRealserverRequest.ProtoReflect.Descriptor instead.
func (*DeleteRealserverRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{12}
}

func (x *DeleteRealserverRequest) GetSvc() *service.Service {
	if x != nil {
		return x.Svc
	}
	return nil
}

func (x *DeleteRealserverRequest) GetRs() *realserver.Realserver {
	if x != nil {
		return x.Rs
	}
	return nil
}

type DeleteRealserverResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeleteRealserverResponse) Reset() {
	*x = DeleteRealserverResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_fp_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteRealserverResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteRealserverResponse) ProtoMessage() {}

func (x *DeleteRealserverResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_fp_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteRealserverResponse.ProtoReflect.Descriptor instead.
func (*DeleteRealserverResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_fp_proto_rawDescGZIP(), []int{13}
}

var File_pkg_protos_fp_proto protoreflect.FileDescriptor

var file_pkg_protos_fp_proto_rawDesc = []byte{
	0x0a, 0x13, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x66, 0x70, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x02, 0x66, 0x70, 0x1a, 0x1b, 0x70, 0x6b, 0x67, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x18, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x73, 0x2f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x22, 0x3a, 0x0a, 0x14, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x22, 0x0a, 0x03, 0x73, 0x76, 0x63, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x03, 0x73, 0x76, 0x63, 0x22, 0x17, 0x0a, 0x15,
	0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x3a, 0x0a, 0x14, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x22, 0x0a,
	0x03, 0x73, 0x76, 0x63, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x73, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x2e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x03, 0x73, 0x76,
	0x63, 0x22, 0x17, 0x0a, 0x15, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x15, 0x0a, 0x13, 0x4c, 0x69,
	0x73, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x22, 0x3a, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x22, 0x0a, 0x03, 0x73, 0x76, 0x63,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x2e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x03, 0x73, 0x76, 0x63, 0x22, 0x3c, 0x0a,
	0x16, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x73,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x22, 0x0a, 0x03, 0x73, 0x76, 0x63, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x03, 0x73, 0x76, 0x63, 0x22, 0x41, 0x0a, 0x17, 0x4c,
	0x69, 0x73, 0x74, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x73, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x26, 0x0a, 0x02, 0x72, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x16, 0x2e, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2e,
	0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x02, 0x72, 0x73, 0x22, 0x65,
	0x0a, 0x17, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76,
	0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x22, 0x0a, 0x03, 0x73, 0x76, 0x63,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x2e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x03, 0x73, 0x76, 0x63, 0x12, 0x26, 0x0a,
	0x02, 0x72, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x72, 0x65, 0x61, 0x6c,
	0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65,
	0x72, 0x52, 0x02, 0x72, 0x73, 0x22, 0x1a, 0x0a, 0x18, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52,
	0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0x65, 0x0a, 0x17, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73,
	0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x22, 0x0a, 0x03,
	0x73, 0x76, 0x63, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x73, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x2e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x03, 0x73, 0x76, 0x63,
	0x12, 0x26, 0x0a, 0x02, 0x72, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x72,
	0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65,
	0x72, 0x76, 0x65, 0x72, 0x52, 0x02, 0x72, 0x73, 0x22, 0x1a, 0x0a, 0x18, 0x55, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x65, 0x0a, 0x17, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65,
	0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x22, 0x0a, 0x03, 0x73, 0x76, 0x63, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x03,
	0x73, 0x76, 0x63, 0x12, 0x26, 0x0a, 0x02, 0x72, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x16, 0x2e, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x61,
	0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x02, 0x72, 0x73, 0x22, 0x1a, 0x0a, 0x18, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xa0, 0x04, 0x0a, 0x16, 0x46, 0x6f, 0x72, 0x77,
	0x61, 0x72, 0x64, 0x69, 0x6e, 0x67, 0x50, 0x6c, 0x61, 0x6e, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x12, 0x44, 0x0a, 0x0d, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x53, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x12, 0x18, 0x2e, 0x66, 0x70, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e,
	0x66, 0x70, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x44, 0x0a, 0x0d, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x18, 0x2e, 0x66, 0x70, 0x2e, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e, 0x66, 0x70, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x41,
	0x0a, 0x0c, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x12, 0x17,
	0x2e, 0x66, 0x70, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x18, 0x2e, 0x66, 0x70, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x4a, 0x0a, 0x0f, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72,
	0x76, 0x65, 0x72, 0x73, 0x12, 0x1a, 0x2e, 0x66, 0x70, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65,
	0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x1b, 0x2e, 0x66, 0x70, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65,
	0x72, 0x76, 0x65, 0x72, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4d, 0x0a,
	0x10, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65,
	0x72, 0x12, 0x1b, 0x2e, 0x66, 0x70, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61,
	0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c,
	0x2e, 0x66, 0x70, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65,
	0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4d, 0x0a, 0x10,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72,
	0x12, 0x1b, 0x2e, 0x66, 0x70, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c,
	0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e,
	0x66, 0x70, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72,
	0x76, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4d, 0x0a, 0x10, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x12,
	0x1b, 0x2e, 0x66, 0x70, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73,
	0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x66,
	0x70, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76,
	0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x37, 0x5a, 0x35, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x77, 0x69, 0x6b, 0x69, 0x6d, 0x65, 0x64, 0x69, 0x61, 0x2e, 0x6f,
	0x72, 0x67, 0x2f, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x2f, 0x73, 0x72, 0x65, 0x2f, 0x6c, 0x69, 0x62,
	0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73,
	0x2f, 0x66, 0x70, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_pkg_protos_fp_proto_rawDescOnce sync.Once
	file_pkg_protos_fp_proto_rawDescData = file_pkg_protos_fp_proto_rawDesc
)

func file_pkg_protos_fp_proto_rawDescGZIP() []byte {
	file_pkg_protos_fp_proto_rawDescOnce.Do(func() {
		file_pkg_protos_fp_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_protos_fp_proto_rawDescData)
	})
	return file_pkg_protos_fp_proto_rawDescData
}

var file_pkg_protos_fp_proto_msgTypes = make([]protoimpl.MessageInfo, 14)
var file_pkg_protos_fp_proto_goTypes = []interface{}{
	(*CreateServiceRequest)(nil),     // 0: fp.CreateServiceRequest
	(*CreateServiceResponse)(nil),    // 1: fp.CreateServiceResponse
	(*DeleteServiceRequest)(nil),     // 2: fp.DeleteServiceRequest
	(*DeleteServiceResponse)(nil),    // 3: fp.DeleteServiceResponse
	(*ListServicesRequest)(nil),      // 4: fp.ListServicesRequest
	(*ListServicesResponse)(nil),     // 5: fp.ListServicesResponse
	(*ListRealserversRequest)(nil),   // 6: fp.ListRealserversRequest
	(*ListRealserversResponse)(nil),  // 7: fp.ListRealserversResponse
	(*CreateRealserverRequest)(nil),  // 8: fp.CreateRealserverRequest
	(*CreateRealserverResponse)(nil), // 9: fp.CreateRealserverResponse
	(*UpdateRealserverRequest)(nil),  // 10: fp.UpdateRealserverRequest
	(*UpdateRealserverResponse)(nil), // 11: fp.UpdateRealserverResponse
	(*DeleteRealserverRequest)(nil),  // 12: fp.DeleteRealserverRequest
	(*DeleteRealserverResponse)(nil), // 13: fp.DeleteRealserverResponse
	(*service.Service)(nil),          // 14: service.Service
	(*realserver.Realserver)(nil),    // 15: realserver.Realserver
}
var file_pkg_protos_fp_proto_depIdxs = []int32{
	14, // 0: fp.CreateServiceRequest.svc:type_name -> service.Service
	14, // 1: fp.DeleteServiceRequest.svc:type_name -> service.Service
	14, // 2: fp.ListServicesResponse.svc:type_name -> service.Service
	14, // 3: fp.ListRealserversRequest.svc:type_name -> service.Service
	15, // 4: fp.ListRealserversResponse.rs:type_name -> realserver.Realserver
	14, // 5: fp.CreateRealserverRequest.svc:type_name -> service.Service
	15, // 6: fp.CreateRealserverRequest.rs:type_name -> realserver.Realserver
	14, // 7: fp.UpdateRealserverRequest.svc:type_name -> service.Service
	15, // 8: fp.UpdateRealserverRequest.rs:type_name -> realserver.Realserver
	14, // 9: fp.DeleteRealserverRequest.svc:type_name -> service.Service
	15, // 10: fp.DeleteRealserverRequest.rs:type_name -> realserver.Realserver
	0,  // 11: fp.ForwardingPlaneService.CreateService:input_type -> fp.CreateServiceRequest
	2,  // 12: fp.ForwardingPlaneService.DeleteService:input_type -> fp.DeleteServiceRequest
	4,  // 13: fp.ForwardingPlaneService.ListServices:input_type -> fp.ListServicesRequest
	6,  // 14: fp.ForwardingPlaneService.ListRealservers:input_type -> fp.ListRealserversRequest
	8,  // 15: fp.ForwardingPlaneService.CreateRealserver:input_type -> fp.CreateRealserverRequest
	10, // 16: fp.ForwardingPlaneService.UpdateRealserver:input_type -> fp.UpdateRealserverRequest
	12, // 17: fp.ForwardingPlaneService.DeleteRealserver:input_type -> fp.DeleteRealserverRequest
	1,  // 18: fp.ForwardingPlaneService.CreateService:output_type -> fp.CreateServiceResponse
	3,  // 19: fp.ForwardingPlaneService.DeleteService:output_type -> fp.DeleteServiceResponse
	5,  // 20: fp.ForwardingPlaneService.ListServices:output_type -> fp.ListServicesResponse
	7,  // 21: fp.ForwardingPlaneService.ListRealservers:output_type -> fp.ListRealserversResponse
	9,  // 22: fp.ForwardingPlaneService.CreateRealserver:output_type -> fp.CreateRealserverResponse
	11, // 23: fp.ForwardingPlaneService.UpdateRealserver:output_type -> fp.UpdateRealserverResponse
	13, // 24: fp.ForwardingPlaneService.DeleteRealserver:output_type -> fp.DeleteRealserverResponse
	18, // [18:25] is the sub-list for method output_type
	11, // [11:18] is the sub-list for method input_type
	11, // [11:11] is the sub-list for extension type_name
	11, // [11:11] is the sub-list for extension extendee
	0,  // [0:11] is the sub-list for field type_name
}

func init() { file_pkg_protos_fp_proto_init() }
func file_pkg_protos_fp_proto_init() {
	if File_pkg_protos_fp_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_protos_fp_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateServiceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateServiceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteServiceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteServiceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListServicesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListServicesResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListRealserversRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListRealserversResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateRealserverRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateRealserverResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateRealserverRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateRealserverResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteRealserverRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_fp_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteRealserverResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_protos_fp_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   14,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_pkg_protos_fp_proto_goTypes,
		DependencyIndexes: file_pkg_protos_fp_proto_depIdxs,
		MessageInfos:      file_pkg_protos_fp_proto_msgTypes,
	}.Build()
	File_pkg_protos_fp_proto = out.File
	file_pkg_protos_fp_proto_rawDesc = nil
	file_pkg_protos_fp_proto_goTypes = nil
	file_pkg_protos_fp_proto_depIdxs = nil
}
